## mycompiler.myexception
Class SCClassBodyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              mycompiler.myexception.SCClassBodyException

All Implemented Interfaces:
  java.io.Serializable

    public class SCClassBodyException

extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`SCClassBodyException()`

Method Summary
`void` `addException(SCExcept ex)`
`de.dhbwstuttgart.typeinference.Menge` `get_exlist()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SCClassBodyException

    public SCClassBodyException()

Method Detail

### addException

    public void addException(SCExcept ex)

### get_exlist

    public de.dhbwstuttgart.typeinference.Menge get_exlist()